Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xdb.dom
Class XDBEntity

`java.lang.Object
oracle.xdb.dom.XDBNode
oracle.xdb.dom.XDBEntity`

All Implemented Interfaces:
  Entity, Node

Deprecated. as of Oracle Database 11g release 1, use oracle.xml.parser.v2.XMLEntity

      public class XDBEntity

extends XDBNode
implements Entity

This class implements the W3C Notation interface

Field Summary

Fields inherited from class oracle.xdb.dom.XDBNode
`m_conn, m_owner, m_xobcstate`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` `getInputEncoding()` Deprecated.
`java.lang.String` `getNotationName()` Deprecated. Returns the notation name of the entity node
`java.lang.String` `getPublicId()` Deprecated. Returns the public id of the entity node
`java.lang.String` `getSystemId()` Deprecated. Returns the system id of the entity node
`java.lang.String` `getXmlEncoding()` Deprecated.
`java.lang.String` `getXmlVersion()` Deprecated.

Methods inherited from class oracle.xdb.dom.XDBNode

`appendChild, cloneNode, close, compareDocumentPosition, equals, finalize, getAttributes, getBaseURI, getChildNodes, getExpandedName, getFeature, getFirstChild, getInputStream, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeFromCState, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getPrimitiveType, getQualifiedName, getSchemaNode, getTextContent, getUserData, hasAttributes, hasChildNodes, hashCode, insertBefore, isClosed, isDefaultNamespace, isEqualNode, isNilled, isSameNode, isSchemaBased, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setNodeXob, setOwner, setPrefix, setTextContent, setUserData, setXobCstate, toCState, toString, validateName, write, writeToOutputStream`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getNotationName

    public java.lang.String getNotationName()

  Deprecated.
  Returns the notation name of the entity node
  Specified by:
    `getNotationName` in interface `Entity`
  Returns:
    the notation name of the entity node

### getPublicId

    public java.lang.String getPublicId()

  Deprecated.
  Returns the public id of the entity node
  Specified by:
    `getPublicId` in interface `Entity`
  Returns:
    the public id of the entity node

### getSystemId

    public java.lang.String getSystemId()

  Deprecated.
  Returns the system id of the entity node
  Specified by:
    `getSystemId` in interface `Entity`
  Returns:
    the system id of the entity node

### getXmlVersion

    public java.lang.String getXmlVersion()

  Deprecated.

### getXmlEncoding

    public java.lang.String getXmlEncoding()

  Deprecated.

### getInputEncoding

    public java.lang.String getInputEncoding()

  Deprecated.

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.